#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <error.h>

void error_tail (int status, int errnum, const char *message, va_list args)
{
	vfprintf (stderr, message, args);
	if (errnum)
	{
		fprintf(stderr,"%s",strerror(errnum));
	}
	fflush (stderr);
	if (status)
		exit (status);
}

void error(int status, int errnum, const char *message, ...)
{
 va_list args;
	va_start (args, message);
    	error_tail (status, errnum, message, args);
	va_end (args);
}


